﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace MxWDB.JSON
{
    class AHUrl
    {
        public class JSON
        {
            public string url { get; set; }
            public long lastModified { get; set; }
        }

        public class RootObject
        {
            public List<JSON> files { get; set; }
        }

        public static void GetDump(string key, string secret, string token)
        {
            using (WebClient wc = new WebClient())
            {
                ServicePointManager.ServerCertificateValidationCallback += (p1, p2, p3, p4) => true;
                ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;
                Utilities.Web.DownloadFileNoAsync($"https://us.api.blizzard.com/data/wow/connected-realm/{Settings.GetRID()}/auctions?namespace=dynamic-us&locale=en_US&access_token={token}", "json/ah.dump.json");
            }
        }

        public static void GetDumpCom(string key, string secret, string token)
        {
            using (WebClient wc = new WebClient())
            {
                ServicePointManager.ServerCertificateValidationCallback += (p1, p2, p3, p4) => true;
                ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;
                Utilities.Web.DownloadFileNoAsync($"https://us.api.blizzard.com/data/wow/auctions/commodities?namespace=dynamic-us&access_token={token}", "json/ah.com.dump.json");
            }
        }
    }
}
