﻿using MySqlConnector;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace MxWDB.JSON
{
    public class Special
    {
        public List<string> special { get; set; }
    }

    public class SpecialObject
    {
        public List<object> Data { get; set; }
    }

    class SpecialGen
    {
        internal static void GenSpecial(string special)
        {
            StringBuilder sb = new StringBuilder("INSERT INTO ah_special_data (itemid,specialid,value) VALUES ");
            List<string> Rows = new List<string>();
            List<string> ind = new List<string>();

            Special ji = JsonConvert.DeserializeObject<Special>(File.ReadAllText(special));

            foreach (var i in ji.special)
            {
                ind.Add(i);
            }

            int sid = 1;
            int itemid = 0;
            foreach (var e in ind)
            {
                SpecialObject j = JsonConvert.DeserializeObject<SpecialObject>(File.ReadAllText(string.Format("json/special/special_{0}.json", e)));

                if (j.Data.Count > 0)
                {
                    foreach (var d in j.Data)
                    {
                        itemid = Convert.ToInt32(d);
                        Rows.Add(string.Format("('{0}','{1}','{2}')", itemid, sid, GetItemValue(itemid)));
                    }
                }
                sid = sid + 1;
            }
            sb.Append(string.Join(",", Rows));
            sb.Append(";");
            InsertIndex(sb.ToString());
        }

        public static Int64 GetItemValue(int id)
        {
            //string d = "nB3qJHOVPH";
            Int64 v = 0;

            string stm = string.Format("SELECT * FROM ah_items WHERE itemid='{0}'", id);
            MySqlConnection mc = Utilities.DB.ItemDB();
            MySqlCommand cmd = new MySqlCommand(stm, mc);
            mc.Open();

            MySqlDataReader result = cmd.ExecuteReader();

            if (result.Read())
            {
                v = Convert.ToInt64(result["minimum"]);
            }

            mc.Close();
            return v;
        }

        private static void InsertIndex(string cmd)
        {
            MySqlConnection mc = Utilities.DB.ItemDB();
            MySqlCommand command = mc.CreateCommand();
            command.CommandText = cmd;
            mc.Open();
            command.ExecuteNonQuery();
            mc.Close();
        }
    }
}
