﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace MxWDB.JSON
{
    internal class Token
    {
        public class Links
        {
            public Self self { get; set; }
        }

        public class Root
        {
            public Links _links { get; set; }
            public long last_updated_timestamp { get; set; }
            public int price { get; set; }
        }

        public class Self
        {
            public string href { get; set; }
        }
        public static void GetToken(string token)
        {
            using (WebClient wc = new WebClient())
            {
                ServicePointManager.ServerCertificateValidationCallback += (p1, p2, p3, p4) => true;
                ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;
                Utilities.Web.DownloadFileNoAsync($"https://us.api.blizzard.com/data/wow/token/index?namespace=dynamic-us&locale=en_US&access_token={token}", "json/token.json");
            }
        }

        public static int GetTokenValue() => JsonConvert.DeserializeObject<Root>(File.ReadAllText("json/settings.json")).price;
    }
}
